History
========

## 20-06-2023 Version 1.16.0

- [core] Add support for Ruby 3.2and Puppet 8

## 03-11-2022 Version 1.15.0

- [core] Add support for EL 9

## 17-03-2022 Version 1.14.0

- [release] Add support for AlmaLinux and Rocky

## 30-09-2021 Version 1.13.6

- [core] Fix ruby 2.5 incompatibility

## 31-08-2021 Version 1.13.5

- [core] Fix confinement on AIX

## 30-08-2021 Version 1.13.4

[tasks] Update to use latest Bolt API and add acc. tests
[doc] Updated docs and REFERENCE.md

## 27-07-2021 Version 1.13.3

- [docs] Update description to contain all types
- [core] Add confinement until MQ installed

## 23-07-2021 Version 1.13.2

- [mq_manager] Fix detection of systemctl usage
## 21-12-2020 Version 1.13.1

- [core] Fix ruby 2.7 issue

## 21-12-2020 Version 1.13.0

- [release] Add puppet 7 to the list of supported versions

## 08-06-2020 Version 1.12.5

- [mq_certificate] Don’t use runmqakm anymore.

## 04-06-2020 Version 1.12.4

- [mq_certificate] Add tmp_dir parameter

## 03-06-2020 Version 1.12.3

- [mq_certificate] Fix adding pem certificates

## 25-05-2020 Version 1.12.2

- [mq_certificate] Handle stashed passwords

## 29-04-2020 Version 1.12.1

- [mq_manager] Losen property checks on ccsid

## 25-03-2020 Version 1.12.0

- [mq_certificate_file] initial implementation
- [mq_certificate] Initial implementation
- [mq_key_db] Initial implemenation

## 25-03-2020 Version 1.11.9

- [mq_manager] Fix connauth property with empty values

## 24-03-2020 Version 1.11.8

- [mq_queue] Make target property case insensitive
- [mq_manager] skip property changes when queue in standby mode

## 21-03-2020 Version 1.11.7

- [mq_manager] Fix removal of standby queue managers
- [mq_manager] Fix issues when queuemanager contains special characters

## 11-03-2020 Version 1.11.6

- [core] Fix for case sensitive names

## 10-03-2020 Version 1.11.5

- [facts/mq_manager] Only run the fact when dspmq command is available
- [facts] Add the mq_path fact

## 03-03-2020 Version 1.11.4

- [mq_manager] Fix typo

## 03-03-2020 Version 1.11.3

- [mq_manager] Fix typo

## 03-03-2020 Version 1.11.2

- [mq_manager] Fix standby parameter
- [mq_manager] Fix start and stop when running under systemd

## 13-02-2020 Version 1.11.1

- [mq_channel] Make checks less restrictive
- [mq_channel] Fix identical channel names with different types
- [mq_authorization] Remove system from the list of none supprted generic authorizations
- [core] Fix quoted array properties

## 04-11-2019 Version 1.11.0

- [release] Add RHEL8 support and sanetize supported OS-es
- [core] Add AIX support

## 23-08-2019 Version 1.10.0

- [mq_topic] Fix data type for topicstr
- [mq_manager] Make multi_instance property a boolean
- [core] Make string data_type more strict
- [core] Use real data types for properties and parameters

## 09-04-2019 Version 1.9.0

- [core] Add support for Windows

## 09-04-2019 Version 1.8.0

- [mq_subscription] Initial implementation

## 08-03-2019 Version 1.7.6

- [mq_channel] Add support for value AUTO for property kaint
- [mq_manager] Fix for usage with Puppet 6

## 29-01-2019 Version 1.7.5

- [mq_channel] Fix CLNTCONN and CLUSSDR channles
- [mq_channel] Fix SVRCONN channels
- [mq_channel] Fix symbol issues
- [core] Fix symbol issues
- [mq_authorization] Fix symbol issues
- [mq_channel] Fix symbol issues
- [mq_channel_authentication] Fix symbol issues

## 06-01-2019 Version 1.7.4

- [mq_web] Make status property more resiliant for multiple puppet versions
- [mq_listener] Make status property more resiliant for multiple puppet versions

## 06-01-2019 Version 1.7.3

- Fix release error

## 05-01-2019 Version 1.7.2

- [mq_manager] Make status property more resiliant for multiple puppet versions

## 14-11-2018 Version 1.7.1

- [mq_channel] Fix removeal of clnttbl channels
- [mq_listener] Fix acceptance test and destroying listener

## 5-11-2018 Version 1.7.0

- [mq_listener] Fix acceptance test for port property
- [mq_manager] Add support for more logging methods
- [mq_listener] Stop listener before removing it
- [mq_manager] Add support for logging parameter
- [mq_manager] Fix error in absenting queue manager
- [core] Better handling of strange characters in properties an overlapping property names
- [mq_channel_authentication] Fetch full index in first pass
- [mq_ channel_authentication] Fix when no records are available
- [core] Add allowed_exits support to mqsc commands
- [mq_manager] Add support for logfile pages
- [mq_manager] Add support for specifying queue manager als default queue manager

## 22-10-2018 Version 1.6.0

- [mq_channel_authentication] Add support for multiple ADDRESSMAP record

## 11-10-2018 Version 1.5.0

- [core] Fix sslpeer and missing quotes errors
- [mq_channel] Fix small glitch in channel name
- [mq_queue] Change qtype to parameter
- [mq_channel] Change chltype to parameter
- [mq_queue] Add QTYPE to the name of mq_queue
- [mq_channel] Add backwards compatibility with naming
- [mq_channel] Leave only property chltype for channel name

## 11-10-2018 Version 1.4.0

- [web_property] Initial implementation

## 25-09-2018 Version 1.3.4

- [mq_authentication_info] Fix bug when MQ uses different seperation between records

## 24-09-2018 Version 1.3.3

- [mq_channel] Add some morte acceptance tests
- [mq_channel] Fix trptype property
- [acceptance] Use Puppet 6 for acceptance tests

## 17-09-2018 Version 1.3.2

- [core] Add unittests with Puppet 6.0.0
- [mq_channel] Raise a error when we try to change the channel type.

## 17-09-2018 Version 1.3.1

- [mq_authorization] Better  error messages when invalid entity string
- [mq_manager] refresh security after changes in connauth

## 1-09-2018 Version 1.3.0

- [core] Handle creation and modification call’s when QM is not running
- [mq_topic] Fix typo
- [resources_for]  Initial implementation
- [qmgrs_in] Initial implementation
- [mq_manager] Running in standby is valid running mode
- [core] Only fetch info from running queue managers
- [resources_for] Initial implementation
- [is_standby] Initial implementation of function
- [facts] Add fact describing queue managers
- [mq_manager] Skip repos acceptance test for now

## 07-09-2018 Version 1.2.1

- [core] Add support for other MQ manager statusses
- [core] Add support for allowed_exits

## 04-09-2018 Version 1.2.0

[mq_manager] Add standby parameter for use on 2nd manager on standby node

## 29-07-2018 Version 1.1.0

- [mq_channel_authentication] Initial implementation

## 07-07-2018 Version 1.0.13

- [mq_manager] fix datapath implementation

## 04-07-2018 Version 1.0.12

- [mq_manager] Add support for multi-instance queue managers

## 27-06-2018 Version 1.0.11

- [core] Change the mq_authorization type to fetch properly
- [mq_authorization] Fix bug when no authorities are found
- [mq_channel] Fix typo in acceptance test description
- [release] Better description in the metadata

## 09-02-2018 Version 1.0.10

- [tasks] Add first set of tasks for often used resources
- [mq_manager] Fix documentation
- [release] Fix link to license in readme

## 26-01-2018 Version 1.0.9

- [release] Added license notice

## 26-01-2018 Version 1.0.8

- [release] Add license text and readme
- [docs] Update documentation

## 09-01-2018 Version 1.0.7

- [mq_listener] Add status field for starting and stopping
- [mq_authentication_info] Fix some property data types
- [mq_listener] Add case sensitivity to desc property
- [mq_channel] Add extra checks on valid combinations of properties
- [mq_channel] Fix some properties
- [mq_topic] Fix some properties
- [mq_topic] Fix some properties and updating of topics
- [mq_manager] Fix validation and case sensitivity of multiple properties

## 05-01-2018 Version 1.0.6

- [mq_authorization] Allow authority with value [none]
- [mq_listener] Fix creation error’s

## 03-01-2018 Version 1.0.5

- [mq_topic] Add check for required property topicstr
- [mq_channel] Add check for required property chltype
- [mq_queue] Add check on required property qtype
- [mq_listener] Initial implementation
- [mq_authorization] Check and reject usage of generic authorities
- [mq_authorization] Fix error when managing queue manager
- [mq_authorization] Fix setting when wildcard definition
- [mq_channel] Remove non US-ASCII character

## 28-12-2017 Version 1.0.4

- [mq_authorization] Quote object names
- [mq_authentication_info] Initial implementation
- [mq_authorization] Initial implementation

## 06-11-2017 Version 1.0.3

- [core] Don’t cd to current_working directory when executing cmd

## 13-09-2017 Version 1.0.2

- [core] Fix encoding to utf8

## 14-07-2017 Version 1.0.1

- [core] use mqm instead of mquser

## 19-05-2017 Version 1.0.0

- Initial release
