#
# See the file "LICENSE" for the full license governing this code.
#
#
# Function to fetch the fact mq_managers and based on that information
# decide if the specfied queue manager is running in standby mode or not.
#
Puppet::Functions.create_function('mq_config::qmgrs_in') do
  dispatch :qmgrs_in do
    param       'Hash', :resources
    return_type 'Array'
  end

  def qmgrs_in(resources)
    resources.keys.collect { |r| r.split('/')[0] }.uniq
  end
end
