#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:descr, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  Plain-text comment. It provides descriptive information about the authentication information object when an operator issues the DISPLAY AUTHINFO command (see DISPLAY AUTHINFO ).
  It must contain only displayable characters. The maximum length is 64 characters. In a DBCS installation, it can contain DBCS characters (subject to a maximum length of 64 bytes).
  DESC
  data_type('Optional[String[1]]')
end
