#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:findgrp, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  Name of the attribute used within an LDAP entry to determine group membership.
  When AUTHORMD = SEARCHGRP, this attribute is typically set to member or uniqueMember.
  When AUTHORMD = SEARCHUSR, this attribute is typically set to memberOf.
  If left blank, the queue manager uses member or memberOf depending on the setting of AUTHORMD.
  DESC
  data_type('Optional[String[1]]')
end
