#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:nestgrp, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  Group nesting.
  - **NO** Only the initially discovered groups are considered for authorization.
  - **YES** The group list is searched recursively to enumerate all the groups to which a user belongs.
  DESC
  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
