#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:entity_type) do
  include EasyType

  desc <<-DESC
  The specfied entity type. You want to authorize.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  isnamevar

  newvalues('principal', 'group')
  data_type("Optional[Enum['principal', 'group']]")
end
