#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:db_type) do
  include EasyType

  desc <<-DESC
  The type of key database.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  newvalues('cms', 'jceks', 'jks', 'kdb', 'p12', 'pkcs12', 'pkcs12s2')
  data_type("Optional[Enum['cms','jceks','jks','kdb','p12','pkcs12','pkcs12s2']]")
end
