#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:x509version) do
  include EasyType

  desc <<-DESC
  the x509 version to use when creating a self signed certificate.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  newvalues(1, 2, 3)
  data_type('Optional[Integer[1,3]]')
end
