#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:target_password) do
  include EasyType

  desc <<-DESC
  The password to put on the certificate file.

  This only works when you specifcy a database type file.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
