#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:amqpka, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The keep alive time for an AMQP channel in seconds. If the AMQP client has not sent any frames within the keep alive interval, then the connection is closed with a amqp:resource-limit-exceeded AMQP error condition.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of AMQP
  DESC
  data_type("Optional[Variant[Enum['absent','AUTO'],Integer]]")
end
