#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:cluster, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  The name of the cluster to which the channel belongs. The maximum length is 48 characters conforming to the rules for naming IBM MQ objects.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of CLUSSDR and CLUSRCVR channels. Only one of the resultant values of CLUSTER or CLUSNL can be nonblank, the other must be blank.
  DESC
  data_type('Optional[String[1]]')
end
