#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:convert, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Specifies whether the sending message channel agent attempts conversion of the application message data, if the receiving message channel agent cannot perform this conversion.
  Valid values are:
  - NO No conversion by sender
  - YES Conversion by sender
  [z/OS]On z/OS, N and Y are accepted as synonyms of NO and YES.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR, SVR, CLUSSDR, or CLUSRCVR.
  DESC

  newvalues('NO', 'YES')
  data_type("Optional[Enum['NO', 'YES']]")
end
