#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:descr, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Plain-text comment. It provides descriptive information about the channel when an operator issues the DISPLAY CHANNEL command.
  It must contain only displayable characters. The maximum length is 64 characters. In a DBCS installation, it can contain DBCS characters (subject to a maximum length of 64 bytes).
  Note
  If the information is sent to another queue manager they might be translated incorrectly. The characters must be in the coded character set identifier (CCSID) of the local queue manager.
  DESC
  data_type('Optional[String[1]]')
end
