#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:mrexit, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Channel message-retry exit name.
  The format and maximum length of the name is the same as for MSGEXIT, however you can specify only one message-retry exit.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of RCVR, RQSTR, or CLUSRCVR.
  DESC
  data_type('Optional[String[1]]')
end
