#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:msgdata, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  User data for the channel message exit. The maximum length is 32 characters.
  This data is passed to the channel message exit when it is called.
  On AIX, HP-UX, Linux, Solaris, and Windows, you can specify data for more than one exit program by specifying multiple strings separated by commas. The total length of the field must not exceed 999 characters.
  On IBM i, you can specify up to 10 strings, each of length 32 characters. The first string of data is passed to the first message exit specified, the second string to the second exit, and so on.
  [z/OS]On z/OS, you can specify up to eight strings, each of length 32 characters. The first string of data is passed to the first message exit specified, the second string to the second exit, and so on.
  On other platforms, you can specify only one string of message exit data for each channel.
  Note
  This parameter is accepted but ignored for SVRCONN and CLNTCONN channels.
  DESC
  data_type('Optional[String[1]]')
end
