#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:netprty, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The priority for the network connection. Distributed queuing chooses the path with the highest priority if there are multiple paths available. The value must be in the range 0 - 9; 0 is the lowest priority.
  This parameter is valid only for CLUSRCVR channels.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
