#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:password, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Password used by the message channel agent when attempting to initiate a secure LU 6.2 session with a remote message channel agent. The maximum length is 12 characters.
  This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, RQSTR, CLNTCONN, or CLUSSDR.
  [z/OS]On z/OS, it is supported only for channels with a channel type ( CHLTYPE ) of CLNTCONN.
  Although the maximum length of the parameter is 12 characters, only the first 10 characters are used.
  DESC
  data_type('Optional[String[1]]')
end
