#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:port, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The port number used to connect an AMQP channel. The default port for AMQP 1.0 connections is 5672. If you are already using port 5672, you can specify a different port.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
