#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:qmname, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Queue manager name.
  For CLNTCONN channels, QMNAME is the name of a queue manager to which an IBM MQ MQI client application can request connection. QMNAME is not necessarily the same as the name of the queue manager on which the channel is defined; see Queue manager groups in the CCDT.
  For channels of other types, the QMNAME parameter is not valid.
  DESC
  data_type('Optional[String[1]]')
end
