#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslciph, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  SSLCIPH specifies the CipherSpec that is used on the channel. The maximum length is 32 characters. This parameter is valid on all channel types which use transport type TRPTYPE(TCP). If the SSLCIPH parameter is blank, no attempt is made to use SSL on the channel.
  Specify the name of the CipherSpec you are using. The CipherSpecs that can be used with IBM MQ SSL support are shown in the following table. The SSLCIPH values must specify the same CipherSpec on both ends of the channel.
  DESC
  data_type('Optional[String[1]]')
end
