#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:tpname, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  LU 6.2 transaction program name (maximum length 64 characters).
  This parameter is valid only for channels with a transport type ( TRPTYPE ) of LU62.
  Set this parameter to the SNA transaction program name, unless the CONNAME contains a side-object name in which case set it to blanks. The actual name is taken instead from the CPI-C Communications Side Object, or the APPC side information data set. [z/OS]See Configuration parameters for an LU 6.2 connection
  On Windows SNA Server,[z/OS] and in the side object on z/OS, the TPNAME is wrapped to uppercase.
  This parameter is not valid for channels with a channel type ( CHLTYPE ) of RCVR.
  DESC
  data_type('Optional[String[1]]')
end
