#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:tproot, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  The topic root for an AMQP channel. The default value for TPROOT is SYSTEM.BASE.TOPIC. With this value, the topic string an AMQP client uses to publish or subscribe has no prefix, and the client can exchange messages with other MQ pub/sub applications. Alternatively, AMQP clients can publish and subscribe under a different topic prefix, specified in the TPROOT attribute.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of AMQP
  DESC
  data_type('Optional[String[1]]')
end
