#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:usecltid, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Distributed[V9.0.0.0 Jun 2016]Specifies that the client ID should be used for authorization checks for an AMQP channel, instead of the MCAUSER attribute value.
  Valid values are:
  - NO The MCA user ID should be used for authorization checks.
  - YES The client ID should be used for authorization checks.

  DESC
  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
