#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:addrlist, :array_matching => :all, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  include EasyType::ArrayProperty
  quote_values true # This property needs quoted values

  desc <<-DESC
  A list of up to 256 generic IP addresses which are banned from accessing this queue manager on any channel. This parameter is only valid with TYPE(BLOCKADDR). See Generic IP addresses for channel authentication records for more information about filtering IP addresses.
  If the address is generic then it must be in quotes.
  DESC
  data_type('Optional[String[1]]')
end
