#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:qmname, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  desc <<-DESC
  The name of the remote partner queue manager, or pattern that matches a set of queue manager names, to be mapped to a user ID or blocked.
  This parameter is valid only with TYPE(QMGRMAP).

  If the queue manager name is generic then it must be in quotes.
  DESC
  data_type('Optional[String[1]]')
end
