#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:sslcerti, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  quote_values true # This property needs quoted values
  desc <<-DESC
  This parameter is additional to the SSLPEER parameter.
  SSLCERTI restricts matches to being within certificates issued by a particular Certificate Authority.

  A blank SSLCERTI acts like a wildcard, matches any Issuer Distinguished Name.
  DESC
  data_type('Optional[String[1]]')
end
