#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslpeer, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  quote_values true

  quote_values true # This property needs quoted values
  desc <<-DESC
  The filter to use to compare with the Subject Distinguished Name of the certificate from the peer queue manager or client at the other end of the channel.

  The SSLPEER filter is specified in the standard form used to specify a Distinguished Name. See IBM MQ rules for SSLPEER values for details.

  The maximum length of the parameter is 1024 bytes.
  DESC
  data_type('Optional[String[1]]')
end
