#
# See the file "LICENSE" for the full license governing this code.
#
# rubocop: disable Lint/BooleanSymbol
newparam(:genpw) do
  include EasyType

  desc <<-DESC
  Generate the password for the key database.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  newvalues(:true, :false)
  data_type('Optional[Boolean]')
end
# rubocop: enable Lint/BooleanSymbol
