#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:descr, :parent => PuppetX::EnterpriseModules::Mq::ListenerProperty) do
  quote_values true
  desc <<-DESC
  Plain-text comment. It provides descriptive information about the listener when an operator issues the DISPLAY LISTENER command (see DISPLAY LISTENER ).
  It should contain only displayable characters. The maximum length is 64 characters. In a DBCS installation, it can contain DBCS characters (subject to a maximum length of 64 bytes).

  Note
  If characters are used that are not in the coded character set identifier (CCSID) for this queue manager, they might be translated incorrectly if the information is sent to another queue manager.
  DESC
  data_type('Optional[String[1]]')
end
