#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:ipaddr, :parent => PuppetX::EnterpriseModules::Mq::ListenerProperty) do
  include EasyType::Validators::IPFQDN
  desc <<-DESC
  IP address for the listener specified in IPv4 dotted decimal, IPv6 hexadecimal notation, or alphanumeric host name form. If you do not specify a value for this parameter, the listener listens on all configured IPv4 and IPv6 stacks.
  DESC
  data_type('Optional[String[1]]')
end
