#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:port, :parent => PuppetX::EnterpriseModules::Mq::ListenerProperty) do
  include EasyType::Validators::PortNumber
  desc <<-DESC
  The port number for TCP/IP. This is valid only when TRPTYPE is TCP. It must not exceed 65535.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,9999]]]")
end
