#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:authorev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether authorization (Not Authorized) events are generated.

  Valid values are:
  - DISABLED Authorization events are not generated. This is the queue manager's initial default value.
  - ENABLED Authorization events are generated.

  [z/OS]This value is not supported on z/OS.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
