#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:chad, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether receiver and server-connection channels can be defined automatically.
  Valid values are:
  - DISABLED Auto-definition is not used. This is the queue manager's initial default value.
  - ENABLED Auto-definition is used.

  Cluster-sender channels can always be defined automatically, regardless of the setting of this parameter.
  [z/OS]This parameter is not valid on z/OS.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
