#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:chadev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether channel auto-definition events are generated.

  Valid values are:
  - DISABLED Auto-definition events are not generated. This is the queue manager's initial default value.
  - ENABLED Auto-definition events are generated.

  [z/OS]This parameter is not valid on z/OS.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
