#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwlmruc, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of most recently used outbound cluster channels.
  Specify a value in the range 1 through 999,999,999.
  See [CLWLMRUC queue manager attribute](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.ref.con.doc/q082440_.htm?view=kc).
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
