#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:cmdscope, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS]This parameter applies to z/OS only and specifies how the command is run when the queue manager is a member of a queue-sharing group.
  '
  The command is run on the queue manager on which it was entered.
  qmgr-name
  The command is run on the queue manager you specify, providing the queue manager is active within the queue-sharing group.
  You can specify a different queue manager. You can do so if you are using a queue-sharing group environment, and if the command server is enabled. You can then specify a different queue manager to the one on which the command is entered.
  *
  The command is run on the local queue manager and is also passed to every active queue manager in the queue-sharing group. The effect of entering this value is the same as entering the command on every queue manager in the queue-sharing group.
  DESC
  data_type('Optional[String[1]]')
end
