#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:configev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether configuration events are generated. Valid values are:
  - ENABLED Configuration events are generated. After setting this value, issue REFRESH QMGR TYPE(CONFIGEV) commands for all objects to bring the queue manager configuration up to date.
  - DISABLED Configuration events are not generated. This is the queue manager's initial default value.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
