#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:default) do
  include EasyType
  desc <<-DESC
  You set this parameter to `true` when you want this queue manager
  the default queue manager. The new queue manager replaces any
  existing default queue manager.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  # rubocop: disable Lint/BooleanSymbol
  newvalues(:true, :false)
  data_type('Optional[Boolean]')
  defaultto(:false)
  # rubocop: enable Lint/BooleanSymbol
end
