#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:descr, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  Plain-text comment. It provides descriptive information about the queue manager.
  It contains only displayable characters. The maximum length of the string is 64 characters. In a DBCS installation, it can contain DBCS characters (subject to a maximum length of 64 bytes).
  If the characters in the descriptive information are in the coded character set identifier (CCSID) for this queue manager they are translated correctly. They are translated when the descriptive information is sent to another queue manager. If they are not in the CCSID for this queue manager, they might be translated incorrectly.
  DESC
  data_type('Optional[String[1]]')
end
