#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:imgintvl, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  The target frequency with which the queue manager automatically writes media images, in minutes since the previous media image for the object.
  This parameter is not valid on z/OS. Possible values are:
  - 1 - 999 999 999 The time in minutes at which the queue manager automatically writes media images. The default value is 60 minutes.
  - OFF Automatic media images are not written on a time interval basis.
  DESC

  data_type('Optional[Variant[String,Integer[1,999999999]]]')
end
