#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:imglogln, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  The target size of recovery log, written before the queue-manager automatically writes media images, in number of megabytes since the previous media image for the object. This limits the amount of log to be read when recovering an object.
  This parameter is not valid on z/OS. Possible values are:
  - 1 - 999 999 999 The target size of the recovery log in megabytes.
  - OFF Automatic media images are not written based on the size of log written. OFF is the default value.
  DESC

  data_type('Optional[Variant[String,Integer[1,999999999]]]')
end
