#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:imgrcovq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies the default IMGRCOVQ attribute for local and permanent dynamic queue objects, when used with this parameter.
  This parameter is not valid on z/OS. Possible values are:
  - NO The IMGRCOVQ attribute for local and permanent dynamic queue objects is set to NO.
  - YES The IMGRCOVQ attribute for local and permanent dynamic queue objects is set to YES. YES is the default value.
  DESC

  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
