#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:localev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether local error events are generated. Valid values are:
  - ENABLED Local error events are generated.
  - DISABLED Local error events are not generated. This is the queue manager's initial default value.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
