#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:luname, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] The name of the LU to use for outbound LU 6.2 transmissions. Set this parameter to be the same as the name of the LU to be used by the listener for inbound transmissions. The maximum length of this parameter is eight characters.
  If this name is blank, the APPC/MVS default LU name is used. This name is variable, so LUNAME must always be set if you are using LU 6.2
  This parameter is valid on z/OS only.
  Changes to this parameter take effect when the channel initiator is restarted.
  DESC
  data_type('Optional[String[1]]')
end
