#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:maxhands, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of open handles that any one connection can have at the same time.
  This value is a value in the range 0 - 999,999,999.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer[1,999999999]]]")

  String
end
