#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:perfmev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether performance-related events are generated. Valid values are:
  - ENABLED Performance-related events are generated.
  - DISABLED Performance-related events are not generated. This is the queue manager's initial default value.
  [z/OS]On IBM MQ for z/OS, all the queue managers in a queue-sharing group must have the same setting.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
