#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:pssyncpt, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Controls whether the queued publish/subscribe interface processes command messages (publishes or delete publication messages) under sync point.
  Valid values are:
  - YES All messages are processed under sync point.
  - IFPER Only persistent messages are part of the sync point. The initial value of the queue manager is IFPER.
  DESC

  newvalues('YES', 'IFPER')
  data_type("Optional[Enum['YES', 'IFPER']]")
end
