#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:remoteev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether remote error events are generated. Valid values are:
  - DISABLED Remote error events are not generated. This is the queue manager's initial default value.
  - ENABLED Remote error events are generated.

  [z/OS]If you are using the reduced function form of IBM MQ for z/OS supplied with WebSphere Application Server, only DISABLED is valid.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
