#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sslev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether TLS events are generated. Valid values are:
  - DISABLED TLS events are not generated. This is the queue manager's initial default value.
  - ENABLED All TLS events are generated.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
