#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:statmqi, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether statistics monitoring data is to be collected for the queue manager. Valid values are:
  - OFF Data collection for MQI statistics is disabled. This is the queue manager's initial default value.
  - ON Data collection for MQI statistics is enabled.

  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  Changes to this parameter take immediate effect on the collection of monitoring and statistics data.
  DESC

  newvalues('OFF', 'ON')
  data_type("Optional[Enum['OFF', 'ON']]")
end
