#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:boqname, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  The excessive backout requeue name.
  This parameter is supported only on local and model queues.
  Use this parameter to set or change the back out queue name attribute of a local or model queue. Apart from allowing its value to be queried, the queue manager does nothing based on the value of this attribute. IBM MQ classes for JMS transfers a message that is backed out the maximum number of times to this queue. The maximum is specified by the BOTHRESH attribute.
  DESC
  data_type('Optional[String[1]]')
end
