#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clusnl, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  The name of the namelist that specifies a list of clusters to which the queue belongs.
  This parameter is supported only on alias, local, and remote queues.
  Changes to this parameter do not affect instances of the queue that are already open.
  Only one of the resultant values of CLUSNL or CLUSTER can be nonblank; you cannot specify a value for both.
  On local queues, this parameter cannot be set for transmission, SYSTEM.CHANNEL. xx, SYSTEM.CLUSTER. xx, or SYSTEM.COMMAND. xx queues[z/OS], and on z/OS only, for SYSTEM.QSG. xx queues.
  This parameter is valid only on AIX, HP-UX, Linux, Solaris, and Windows[z/OS], and z/OS.
  DESC
  data_type('Optional[String[1]]')
end
