#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:custom, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true

  desc <<-DESC
  The custom attribute for new features.
  This attribute contains the values of attributes, as pairs of attribute name and value, separated by at least one space. The attribute name and value pairs have the form NAME(VALUE). Single quotation marks must be escaped with another single quotation mark.
  DESC
  data_type('Optional[String[1]]')
end
