#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defsopt, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  The default share option for applications opening this queue for input.
  Valid values are:
  - EXCL The open request is for exclusive input from the queue
  - SHARED The open request is for shared input from the queue
  DESC

  newvalues('EXCL', 'SHARED')
  data_type("Optional[Enum['EXCL', 'SHARED']]")
end
