#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:get, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies whether applications are to be permitted to get messages from this queue. Valid values are:
  - ENABLED Messages can be retrieved from the queue, by suitably authorized applications.
  - DISABLED Applications cannot retrieve messages from the queue.

  This parameter can also be changed using the MQSET API call.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
