#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:initq, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  The local name of the initiation queue on this queue manager, to which trigger messages relating to this queue are written; see Rules for naming IBM MQ objects.
  This parameter is supported only on local and model queues.
  DESC
  data_type('Optional[String[1]]')
end
