#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:put, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies whether messages can be put on the queue. Valid values are:
  - ENABLED Messages can be added to the queue (by suitably authorized applications).
  - DISABLED Messages cannot be added to the queue.
  This parameter can also be changed using the MQSET API call.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
