#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:share, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  Specifies whether multiple applications can get messages from this queue.
  This parameter is supported only on local and model queues. Valid values are:
  - SHARE More than one application instance can get messages from the queue.
  - NOSHARE Only a single application instance can get messages from the queue.
  DESC

  newvalues('SHARE', 'NOSHARE')
  data_type("Optional[Enum['SHARE', 'NOSHARE']]")
end
