#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:targtype, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  The type of object to which the alias resolves. Valid values are:
  - QUEUE The alias resolves to a queue.
  - TOPIC The alias resolves to a topic.
  DESC

  newvalues('QUEUE', 'TOPIC')
  data_type("Optional[Enum['QUEUE', 'TOPIC']]")
end
