#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:trigdpth, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The number of messages that have to be on the queue before a trigger message is written, if TRIGTYPE is DEPTH. The value must be in the range 1 - 999,999,999.
  This parameter is supported only on local and model queues.
  This parameter can also be changed using the MQSET API call.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
