#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:pubprty, :parent => PuppetX::EnterpriseModules::Mq::SubscriptionProperty) do
  quote_values true
  desc <<-DESC
  The priority of the message sent to this subscription.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
