#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:subscope, :parent => PuppetX::EnterpriseModules::Mq::SubscriptionProperty) do
  quote_values true
  desc <<-DESC
  Determines whether this subscription is forwarded to other queue managers,
  so that the subscriber receives messages published at those other queue managers.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
end
