#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:subscription) do
  include EasyType

  desc <<-DESC
  The name of the subscription.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
  isnamevar
end
