#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:dursub, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Specifies whether applications are permitted to make durable subscriptions on this topic.
  ASPARENT
  Whether durable subscriptions can be made on this topic is based on the setting of the closest parent administrative topic object in the topic tree.
  - NO - Durable subscriptions cannot be made on this topic.
  - YES - Durable subscriptions can be made on this topic.
  DESC
  newvalues('NO', 'YES')
  data_type("Optional[Enum['NO', 'YES', 'ASPARENT']]")
end
