#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:pub, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Controls whether messages can be published to this topic.
  - ASPARENT  Whether messages can be published to the topic is based on the setting of the closest parent administrative topic object in the topic tree.
  - ENABLED   Messages can be published to the topic (by suitably authorized applications).
  - DISABLED  Messages cannot be published to the topic.
  DESC
  newvalues('ASPARENT', 'ENABLED', 'DISABLED')
  data_type("Optional[Enum['ASPARENT', 'ENABLED', 'DISABLED']]")
end
