#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:sub, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  Controls whether applications are to be permitted to subscribe to this topic.
  - ASPARENT  Whether applications can subscribe to the topic is based on the setting of the closest parent administrative topic object in the topic tree.
  - ENABLED   Subscriptions can be made to the topic (by suitably authorized applications).
  - DISABLED  Applications cannot subscribe to the topic.
  DESC
  newvalues('ASPARENT', 'ENABLED', 'DISABLED')
  data_type("Optional[Enum['ASPARENT', 'ENABLED', 'DISABLED']]")
end
