#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:topic) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
  The name of the topic.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type('Optional[String[1]]')
  isnamevar
end
