#
# See the file "LICENSE" for the full license governing this code.
#
property_name = File.basename(__FILE__, '.rb').to_sym
newproperty(property_name, :parent => PuppetX::EnterpriseModules::Mq::WebProperty) do
  include EasyType::Types::Integer
  desc <<-DESC

  Here is an example on how to use this:

      mq_web { 'mqweb':
        ensure           => 'present',
        ...
        ltpa_cookie_name => 'LtpaToken2_${env.MQWEB_LTPA_SUFFIX}',
        ...
      }


  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
