#
# See the file "LICENSE" for the full license governing this code.
#

newparam(:name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-DESC
  Since `mq_web` is a singleton resource, the name is **ALWAYS** `mqweb`
  DESC
  data_type('Optional[String[1]]')
  isnamevar

  to_translate_to_resource do |_raw_resource|
    'mqweb'
  end
end
