#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:basednu, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  In order to be able to find the short user name attribute (see SHORTUSR ) this parameter must be set with the base DN to search for users within the LDAP server.
  This attribute is valid only for an AUTHTYPE of IDPWLDAP.
  DESC
  data_type('Optional[String[1]]')
end
