#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:classgrp, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  The LDAP object class used for group records in the LDAP repository.
  If the value is blank, groupOfNames is used.
  Other commonly used values include groupOfUniqueNames or group.
  DESC
  data_type('Optional[String[1]]')
end
