#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:classusr, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  The LDAP object class used for user records in the LDAP repository.
  If blank, the value defaults to inetOrgPerson, which is generally the value needed.
  For Microsoft Active Directory, the value you require is often user.
  This attribute is valid only for an AUTHTYPE of IDPWLDAP.
  DESC
  data_type('Optional[String[1]]')
end
