#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:grpfield, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  LDAP attribute that represents a simple name for the group.
  If the value is blank, commands like setmqaut must use a qualified name for the group. The value can either be a full DN, or a single attribute.
  DESC
  data_type('Optional[String[1]]')
end
