#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:like, :parent => PuppetX::EnterpriseModules::Mq::AuthInfoProperty) do
  desc <<-DESC
  The name of an authentication information object, with parameters that are used to model this definition.
  [z/OS]On z/OS, the queue manager searches for an object with the name you specify and a disposition of QMGR or COPY. The disposition of the LIKE object is not copied to the object you are defining.

  DESC
  data_type('Optional[String[1]]')
end
