#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:trust) do
  include EasyType

  desc <<-DESC
  Enable or disable trust on certificate.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC
  data_type("Optional[Enum['enable','disable']]")
end
