#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:mrdata, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Channel message-retry exit user data. The maximum length is 32 characters.
  This parameter is passed to the channel message-retry exit when it is called.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of RCVR, RQSTR, or CLUSRCVR.
  DESC
  data_type('Optional[String[1]]')
end
