#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:replace, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  desc <<-DESC
  Replace the existing definition with this one, or not. This parameter is optional.
  [z/OS]On z/OS it must have the same disposition. Any object with a different disposition is not changed.
  Valid values are:
  - REPLACE The definition replaces any existing definition of the same name. If a definition does not exist, one is created. REPLACE does not alter the channel status.
  - NOREPLACE The definition does not replace any existing definition of the same name.
  DESC
  data_type('Optional[String[1]]')
end
