#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:xmitq, :parent => PuppetX::EnterpriseModules::Mq::ChannelProperty) do
  quote_values true
  desc <<-DESC
  Transmission queue name.
  The name of the queue from which messages are retrieved. See Rules for naming IBM MQ objects.
  This parameter is valid only for channels with a channel type ( CHLTYPE ) of SDR or SVR. For these channel types, this parameter is required.
  DESC
  data_type('Optional[String[1]]')
end
