#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:clntuser, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  quote_values true # This property needs quoted values
  desc <<-DESC
  The client asserted user ID to be mapped to a new user ID, allowed through unchanged, or blocked.
  This can be the user ID flowed from the client indicating the user ID the client side process is running under, or the user ID presented by the client on an MQCONNX call using MQCSP.

  The maximum length of the string is MQ_CLIENT_USER_ID_LENGTH.
  DESC
  data_type('Optional[String[1]]')
end
