#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:descr, :parent => PuppetX::EnterpriseModules::Mq::Property) do
  quote_values true # This property needs quoted values
  desc <<-DESC
  Provides descriptive information about the channel authentication record, which is displayed when you issue the DISPLAY CHLAUTH command. It must contain only displayable characters. The maximum length is 64 characters. In a DBCS installation, it can contain DBCS characters (subject to a maximum length of 64 bytes).

  *Note*

  Use characters from the coded character set identifier (CCSID) for this queue manager. Other characters might be translated incorrectly if the information is sent to another queue manager.
  DESC
  data_type('Optional[String[1]]')
end
