#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:db_type) do
  include EasyType

  desc <<-DESC

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  newvalues('cms', 'kdb', 'pkcs12', 'p12')
  data_type("Enum['cms','kdb','pkcs12','p12']")
  defaultto 'kdb'
end
