#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:length) do
  include EasyType
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The length to use for the generated password.

  This is a puppet parameter and not a managed property. Therefor it is only used during creation of the resource. Changes to this parameter in your manifest, do **NOT** result in modifications on the system.
  DESC

  data_type('Optional[Integer]')
end
