#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:adapter, :parent => PuppetX::EnterpriseModules::Mq::ListenerProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer
  desc <<-DESC
  The adapter number on which NetBIOS listens. This parameter is valid only on Windows when TRPTYPE is NETBIOS.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
