#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:chlev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether channel events are generated.
  Valid values are:
  - DISABLED Channel events are not generated.This is the queue manager's initial default value.
  - ENABLED All channel events are generated.
  - EXCEPTION All exception channel events are generated.
  DESC

  newvalues('DISABLED', 'ENABLED', 'EXCEPTION')
  data_type("Optional[Enum['DISABLED', 'ENABLED', 'EXCEPTION']]")
end
