#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:clwllen, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The maximum number of bytes of message data that is passed to the cluster workload exit.
  Specify a value in the range:
  [z/OS]0 - 100 MB on IBM MQ for z/OS systems
  0 - 999,999,999 on distributed platforms
  This parameter is valid only on IBM i, z/OS, UNIX, Linux, and Windows.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[0,999999999]]]")
end
