#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:cmdev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether command events are generated. Valid values are:
  - DISABLED Command events are not generated. This is the queue manager's initial default value.
  - ENABLED Command events are generated for all successful commands.
  - NODISPLAY Command events are generated for all successful commands, other than DISPLAY commands.
  DESC

  newvalues('DISABLED', 'ENABLED', 'NODISPLAY')
  data_type("Optional[Enum['DISABLED', 'ENABLED', 'NODISPLAY']]")
end
