#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:custom, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true

  desc <<-DESC
  The custom attribute for new features.
  This attribute is reserved for the configuration of new features before named attributes are introduced. It can contain the values of zero or more attributes as pairs of attribute name and value, separated by at least one space. The attribute name and value pairs have the form NAME(VALUE). Escape a single quotation mark with another single quotation mark.
  No values are defined for Custom.
  DESC
  data_type('Optional[String[1]]')
end
