#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:deadq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  The local name of a dead-letter queue (or undelivered-message queue) on which messages that cannot be routed to their correct destination are put.
  The queue named must be a local queue; see Rules for naming IBM MQ objects.
  DESC
  data_type('Optional[String[1]]')
end
