#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defxmitq, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  quote_values true
  desc <<-DESC
  Local name of the default transmission queue on which messages destined for a remote queue manager are put. The default transmission queue is used if there is no other suitable transmission queue defined.
  The cluster transmission queue must not be used as the default transmission queue of the queue manager.
  The queue named must be a local transmission queue; see [Rules for naming IBM MQ objects](https://www.ibm.com/support/knowledgecenter/en/SSFKSJ_9.0.0/com.ibm.mq.pro.doc/q003340_.htm?view=kc).
  DESC
  data_type('Optional[String[1]]')
end
