#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:imgrcovo, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether authentication information, channel, client connection, listener, namelist, process, alias queue, remote queue, and service objects are recoverable from a media image, if linear logging is being used.
  This parameter is not valid on z/OS. Possible values are:
  - NO The rcdmqimg andrcrmqobj commands are not permitted for these objects, and automatic media images, if enabled, are not written for these objects.
  - YES These objects are recoverable. YES is the default value.
  DESC

  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
