#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:inhibtev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether inhibit events are generated. The events are generated for Inhibit Get and Inhibit Put)
  Valid values are:
  - ENABLED Inhibit events are generated.
  - DISABLED Inhibit events are not generated. This is the queue manager's initial default value.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
