#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:loggerev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether recovery log events are generated. Valid values are:
  - DISABLED Logger events are not generated. This is the queue manager's initial default value.
  - ENABLED Logger events are generated.

  This parameter is valid only on IBM i, UNIX, Linux, and Windows.
  DESC

  newvalues('DISABLED', 'ENABLED')
  data_type("Optional[Enum['DISABLED', 'ENABLED']]")
end
