#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:lugroup, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  [z/OS] The generic LU name to be used by the LU 6.2 listener that handles inbound transmissions for the queue-sharing group. The maximum length of this parameter is eight characters.
  If this name is blank, the listener cannot be used.
  This parameter is valid on z/OS only.
  Changes to this parameter take effect for listeners that are later started. Listeners that are currently started are unaffected by changes to this parameter.
  DESC
  data_type('Optional[String[1]]')
end
