#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:schinit, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether the channel initiator starts automatically when the queue manager starts.
  Valid values are:
  - QMGR The channel initiator starts automatically when the queue manager starts.
  - MANUAL The channel initiator does not start automatically.

  This parameter is valid only on IBM i, UNIX, Linux, and Windows.
  DESC

  newvalues('QMGR', 'MANUAL')
  data_type("Optional[Enum['QMGR', 'MANUAL']]")
end
