#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:scmdserv, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether the command server starts automatically when the queue manager starts.
  Valid values are:
  - QMGR The command server starts automatically when the queue manager starts.
  - MANUAL The command server does not start automatically.

  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  DESC

  newvalues('QMGR', 'MANUAL')
  data_type("Optional[Enum['QMGR', 'MANUAL']]")
end
