#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:statint, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The time interval, in seconds, at which statistics monitoring data is written to the monitoring queue.
  Specify a value in the range 1 through 604800.
  This parameter is valid only on IBM i, UNIX, Linux, and Windows systems.
  Changes to this parameter take immediate effect on the collection of monitoring and statistics data.
  DESC

  data_type("Optional[Variant[Enum['absent'],Integer[1,604800]]]")
end
