#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:strstpev, :parent => PuppetX::EnterpriseModules::Mq::MgrProperty) do
  desc <<-DESC
  Specifies whether start and stop events are generated. Valid values are:
  - ENABLED Start and stop events are generated. This is the queue manager's initial default value.
  - DISABLED Start and stop events are not generated.
  DESC

  newvalues('ENABLED', 'DISABLED')
  data_type("Optional[Enum['ENABLED', 'DISABLED']]")
end
