#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:defprty, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The default priority of messages put on the queue. The value must be in the range 0 - 9. Zero is the lowest priority, through to the MAXPRTY queue manager parameter. The default value of MAXPRTY is 9.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
