#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:descr, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  Plain-text comment. It provides descriptive information about the object when an operator issues the DISPLAY QUEUE command.
  It must contain only displayable characters. The maximum length is 64 characters. In a DBCS installation, it can contain DBCS characters (subject to a maximum length of 64 bytes).

  Note
  Use characters that are in the coded character set identifier (CCSID) of this queue manager. If you do not do so and if the information is sent to another queue manager, they might be translated incorrectly.
  DESC
  data_type('Optional[String[1]]')
end
