#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:distl, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  DISTL sets whether distribution lists are supported by the partner queue manager. Valid values are:
  - YES Distribution lists are supported by the partner queue manager.
  - NO Distribution lists are not supported by the partner queue manager.

  Note
  You do not normally change this parameter, because it is set by the MCA. However you can set this parameter when defining a transmission queue if the distribution list capability of the destination queue manager is known.
  This parameter is valid only on AIX, HP-UX, Linux, Solaris, and Windows.
  DESC

  newvalues('YES', 'NO')
  data_type("Optional[Enum['YES', 'NO']]")
end
