#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:target, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true # This property needs quoted values

  desc <<-DESC
  The name of the queue or topic object being aliased; See Rules for naming IBM MQ objects. The object can be a queue or a topic as defined by TARGTYPE. The maximum length is 48 characters.
  This parameter is supported only on alias queues.
  This object needs to be defined only when an application process opens the alias queue.
  This parameter is a synonym of the parameter TARGQ ; TARGQ is retained for compatibility. If you specify TARGET, you cannot also specify TARGQ.
  DESC
  data_type('Optional[String[1]]')
end
