#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:trigdata, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  quote_values true
  desc <<-DESC
  The data that is inserted in the trigger message. The maximum length of the string is 64 bytes.
  This parameter is supported only on local and model queues.
  For a transmission queue on AIX, HP-UX, IBM i, Linux, Solaris, and Windows[z/OS], and z/OS, you can use this parameter to specify the name of the channel to be started.
  This parameter can also be changed using the MQSET API call.
  DESC
  data_type('Optional[String[1]]')
end
