#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:trigmpri, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DESC
  The message priority number that triggers this queue. The value must be in the range zero through to the MAXPRTY queue manager parameter; see DISPLAY QMGR for details.
  This parameter can also be changed using the MQSET API call.
  DESC
  data_type("Optional[Variant[Enum['absent'],Integer]]")
end
