#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:xmitq, :parent => PuppetX::EnterpriseModules::Mq::QueueProperty) do
  desc <<-DESC
  The name of the transmission queue to be used for forwarding messages to the remote queue. XMITQ is used with either remote queue or queue manager alias definitions.
  This parameter is supported only on remote queues.
  If XMITQ is blank, a queue with the same name as RQMNAME is used as the transmission queue.
  This parameter is ignored if the definition is being used as a queue manager alias and RQMNAME is the name of the local queue manager.
  It is also ignored if the definition is used as a reply-to queue alias definition.
  DESC
  data_type('Optional[String[1]]')
end
