#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:subuser, :parent => PuppetX::EnterpriseModules::Mq::SubscriptionProperty) do
  quote_values true
  desc <<-DESC
  Specifies the user ID that is used for security checks that are performed to
  ensure that publications can be put to the destination queue associated with
  the subscription. This ID is either the user ID associated with the creator of
  the subscription or, if subscription takeover is permitted, the user ID that
  last took over the subscription. The length of this parameter must not
  exceed 12 characters.
  DESC
  data_type('Optional[String[1]]')
end
