#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:custom, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  quote_values true

  desc <<-DESC
  The custom attribute for new features.
  This attribute is reserved for the configuration of new features before separate attributes have been introduced. It can contain the values of zero or more attributes as pairs of attribute name and value, separated by at least one space. The attribute name and value pairs have the form NAME(VALUE). Single quotes must be escaped with another single quote.

  This description will be updated when features using this attribute are introduced. At the moment there are no possible values for Custom.
  DESC
  data_type('Optional[String[1]]')
end
