#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:mndurmdl, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  The name of the model queue to be used for non-durable subscriptions that request that the queue manager manages the destination of its publications (see Rules for naming IBM WebSphere MQ objects). The maximum length is 48 characters.
  If MNDURMDL is blank, it operates in the same way as ASPARENT values on other attributes. The name of the model queue to be used is based on the closest parent administrative topic object in the topic tree with a value set for MNDURMDL.

  The dynamic queue created from this model has a prefix of SYSTEM.MANAGED.NDURABLE.
  DESC
  data_type('Optional[String[1]]')
end
