#
# See the file "LICENSE" for the full license governing this code.
#

newproperty(:topicstr, :parent => PuppetX::EnterpriseModules::Mq::TopicProperty) do
  desc <<-DESC
  The topic string represented by this topic object definition. This parameter is required and cannot contain the empty string.
  The topic string must not be the same as any other topic string already represented by a topic object definition.
  The maximum length of the string is 10,240 characters.
  DESC
  data_type('Optional[String]')
  on_create do
    # The create uses this value to construct the command
  end
end
